Retrieve a metric annotation
GET
/v1/metricannotation/{id}/
const url = 'https://example.com/v1/metricannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/metricannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single metric annotation by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this metric annotation.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
description
string
end_time
string format: date-time
feedback_author
required
string format: uuid
feedback_at
required
string format: date-time
feedback_is_true_positive
boolean
id
required
string format: uuid
metric
required
string format: uuid
outage
boolean
start_time
string format: date-time
title
required
string
type
required
1- User defined2- Anomaly prediction
integer
Example
{ "type": 1}